#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xrandr
Version		:	1.5.2
Release		:	17.0.10.rel%{?dist}
Summary		:	Primitive command line interface to RandR extension
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/app/

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#-----------------------------------------------------------------------------
BuildRequires	:	libpng-devel
BuildRequires	:	mesa-devel
BuildRequires	:	xbitmaps
BuildRequires	:	xcb-util
BuildRequires	:	xorg-libXrandr
#-----------------------------------------------------------------------------
%description
Xrandr is used to set the size, orientation and/or  reflection  of  the
outputs for a screen. It can also set the screen size.

If  invoked  without any option, it will dump the state of the outputs,
showing the existing modes for each of them, with a '+' after the  pre-
ferred modes and a '*' after the current mode.

There  are  a  few global options. Other options modify the last output
that is specified in earlier parameters in the command  line.  Multiple
outputs  may  be modified at the same time by passing multiple --output
options followed immediately by their corresponding modifying options.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure						\
	$XORG_PREFIX					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
#remove an undocumented script which is reported to be broken 
%{__rm} %{buildroot}%{_bindir}/xkeystone

%files			
%defattr(-,root,root,-)

#%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
